{% extends "base.html" %}
{% block head %}
{% endblock %}
{% block page %}
</script>
    <div>
        <div class="field is-horizontal">
            <div class="field-label is-normal">
            <label for="spezies_id">Species</label>
            </div>
                <select id="spezies_idhtml" name="spezies_id">
                    <option value="">
                    Select your option
                    </option>
                    {% for s in spezies %}
                    <option value="{{s.id}}">
                    {{s.gattung}} {{s.art}} {{s.erstfinder}}
                    </option>
                    {% endfor %}
                </select>
        </div>
        <div class="field is-horizontal">
            <div class="field-label is-normal">
                <label for="legit_id">Legit</label>
            </div>
                <select id="legit_idhtml" name="legit_id">
                    <option value="">
                    Select your option    
                    </option>
                    {% for l in legitList %}
                    <option value="{{l}}">
                    {{l}}    
                    </option>
                    {% endfor %}
                </select>     
        </div>
        {% if current_user.admin %}
        <div class="field is-horizontal">
            <div class="field-label is-normal">
                <label for="owner_id">Owner</label>
            </div>
                <select id="owner_idhtml" name="owner_id">
                    <option value="">
                    Select your option    
                    </option>
                    {% for o in ownerList %}
                    <option value="{{o.email}}">
                    {{o.email}}    
                    </option>
                    {% endfor %}
                </select>     
        </div>
        {% endif %}
        <br>
        <div class="field-body">
            <div class="field">
                <div class="control">
                <button type="button" id="resetfundhtml" class="button is-primary">Reset</button>
                </div>
            </div>
        </div>
        <div class="control">
            <button type="submit" id="filterspezieshtml" class="button is-primary">Submit</button>
        </div>
    </div>
    <div class="fund-list">
        <ul> 
            {% for fund in fundList %}
                <li data-speziesid="{{fund.spezies.id}}" data-owner="{{fund.ownerList[0]}}" data-legit="{{fund.legit}}">
                    <a class="applink" href="/fund/update/{{ fund.id }}">
                        <h4>
                            <div>File created: {{ fund.datumKreiert }}</div>
                            <div>Date of find: {{ fund.datumGefunden }}</div>
                            <div>{{ fund.spezies.gattung }}</div>
                            <div>{{ fund.spezies.art }}</div>
                            <div>Legit: {{ fund.legit }}</div>
                            <div>{{ fund.ownerList[0] }}</div> 
                        </h4>
                    </a>
                </li>
            {% endfor %}
        </ul>
    </div>
    <script type=text/javascript
        src="{{url_for('static', filename='js/list.js') }}"
    >
</script>
{% for error in errors %}
<h4>{{ error }}</h4>
{% endfor %}

{% endblock %}
